﻿namespace Encompass
{
    internal class ComponentEmitter<TComponent> : Engine where TComponent : struct, IComponent
    {
        public override void Update(double dt)
        {
            foreach (var (component, entity) in InternalRead<TComponent>())
            {
                AddExistingComponent(entity, component);
            }
        }
    }
}
